<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-tk/include/sso/SSOSettings.php");
require_once mb_path("/lib-tk/include/sso/SSOBillingFactory.php");

class EditAdminResponse extends EditResponseAction {

	function EditAdminResponse() {
		parent::EditResponseAction();
		$this->stringRep = "EditAdminResponse";
		$this->setDataSource(new DataSource("admins"));
		if(!empty($_REQUEST["updateGroups"])) {
			$this->params[] = "adminGroup";
		}
	}

	function editResponseValidationHandler() {
		if(!empty($_REQUEST["updateGroups"])) {
			$this->validateParam("adminGroups", 0, true);
		}
		return true;
	}

	function editResponseParamHandler() {
		global $CONF;
		$adminID = (int) $_REQUEST["adminID"];

		$q = new MBQuery("GetAdmins", "", array("adminID" => $adminID, "getAdminGroupData" => 1));
		if(!$this->addErrorsFromResult($r =& $q->getResult())) return false;
		
		if(!empty($_REQUEST["updateGroups"])) {
			$adminGroupTable = $r->getTableFrom(array("mbapi", "results", "admins", "admin", "adminGroupIDs"));
			$currentAdminGroupIDs = $adminGroupTable->getColumnDistinct("adminGroupID");
			$selectedAdminGroupIDs = isset($_REQUEST["adminGroups"]) && is_array($_REQUEST["adminGroups"]) ? $_REQUEST["adminGroups"] : array();
			$params = $this->getRelationParams($selectedAdminGroupIDs, $currentAdminGroupIDs, "adminGroupIDs", "adminGroupID");
		}
		
		// only update the accessHash if set
		if(!empty($_REQUEST["accessHash"])) {
			$oldAdminData = oneByID(":admins", $adminID);
			$params["adminRemoteAccessHash"] = sha1(microtime(1) + mt_rand(1,1000000000));
			$configs_for_remote = arrayFor(":configParams", array(
				"configParamName" => "remoteServerPPBAccessHash",
				"configParamValue" => $oldAdminData['adminRemoteAccessHash'],
			));
			$configs_for_local = arrayFor(":configParams", array(
				"configParamName" => "api",
				"configParamValue" => $CONF["secureURLProtocol"]."://".$_SERVER['HTTP_HOST'],
			));
			
			$configs = array_merge(
				$configs_for_remote,
				$configs_for_local
			);

			$configGroupIDs = array();
			$configParamIDs = array();
			foreach ($configs as $config){
				if ($config['configParamName'] == 'remoteServerPPBAccessHash') {
					$configParamIDs[] = $config['configParamID'];
				}
				$configGroupIDs[] = $config['configGroupID'];
			}
			$configParams = array();
			$allParams = arrayFor(":configParams", array(
				"configGroupID" => $configGroupIDs
			));
			foreach ((array)$allParams as $p){
				$configParams[$p['configGroupID']][$p['configParamName']] = $p['configParamValue'];
			}
			
			if ($CONF["secureURLProtocol"]=="http"){
				$url = $CONF["secureURLProtocol"]."://".$CONF["standardURL"]."/";
			} else {
				$url = $CONF["secureURLProtocol"]."://".$CONF["secureURL"]."/";
			}
			foreach ($configParams as $configGroupID=>$parameters){
				$parameters["modulePassword"] = getStuff($parameters["modulePassword"]);
				
				$data =
				"<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\" ?>
				<packet version=\"1.6.0.0\">
					<server>
						<set-ppb-connection>
							<connection>
								<ppb-url>".$url."</ppb-url>
								<remote-access-hash>".$params["adminRemoteAccessHash"]."</remote-access-hash>
							</connection>
						</set-ppb-connection>
					</server>
				</packet>";
				
				$data = str_replace(array("\n", "\t", "  "),"",$data);
				$c = new Curl();
				$c->addField("",$data,0);

				if (substr($parameters["api"], -1)=="/") $parameters["api"] = substr($parameters["api"], 0, -1);

				$c->setURL($parameters["api"]."/enterprise/control/agent.php");
				$c->addHeader("HTTP_AUTH_LOGIN: " . $parameters["moduleUsername"]);
				$c->addHeader("HTTP_AUTH_PASSWD: " . $parameters["modulePassword"]);
				$c->addHeader("HTTP_PRETTY_PRINT: TRUE");
				$c->addHeader("Content-Type: text/xml");
			
				$result = $c->toString();
				$x = new MBXMLLite($result);
				$result = correctArray($x->toArray());
			}
			
			foreach ($configParamIDs as $cpID){
				updateForKey(":configParams", $cpID, array(
					"configParamValue" => $params["adminRemoteAccessHash"]
				));
			}
			
		}
		$this->d->mergeParams($params);
		
		return true;
	}
	
	function redirect() {
		if (SSOSettings::ssoIsEnabled() && $_REQUEST['adminUsername'] != $_REQUEST['oldAdminUsername']) {
			$rename_sso_delegations = true;
		}

		if ($rename_sso_delegations) {
			SSOBillingFactory::repairAdminAccount($_REQUEST['adminID']);
		}
		parent::redirect();
	}

	function execute() {
		global $CONF;

		if (SSOSettings::ssoIsEnabled() && $_REQUEST['adminUsername'] != $_REQUEST['oldAdminUsername']) {
			$rename_sso_delegations = true;
		}

		if ($rename_sso_delegations) {
			// Remove old delegation rule before renaming the admin user name
			SSOBillingFactory::removeDelegationsForAdmin(array($_REQUEST['adminID']));
		}

		parent::execute();
	}
}
?>
