<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-tk/include/sso/SSOSettings.php");
require_once mb_path("/lib-tk/include/sso/SSOBillingFactory.php");

class EditMyProfileResponse extends EditResponseAction {
	function EditMyProfileResponse() {
		global $CONF;
		parent::EditResponseAction();
		$this->stringRep = "EditMyProfileResponse";
		$this->setDataSource(new DataSource("admins"));
		
		$description = $this->d->getDescription();
		
		$description["names"]["singular"] = "MyProfile";
		$description["display"]["detailsAction"] = "EditMyProfile";
		$description["display"]["editTemplate"] = "admins/EditMyProfile";
		
		$this->d->setDescription($description);
		
		$_REQUEST["adminID"] = $CONF["user"]["id"];

		if ($_REQUEST["do_repair"]) {
			if (SSOSettings::ssoIsEnabled()) {
				SSOBillingFactory::repairAdminAccount($_REQUEST['adminID']);
			}
			redirect("admins.php", getActionID("EditMyProfile"), array(
				'sso_repaired' => 1
			));
			exit;
		}
	}

	function editResponseParamHandler() {
        // only update the accessHash if set
		$params = array();
		if(!empty($_REQUEST["accessHash"])) {
			$params["adminRemoteAccessHash"] = sha1(microtime(1) + mt_rand(1,1000000000));
		}
		$this->d->mergeParams($params);
		
		return true;
	}

	function redirect() {
		if (SSOSettings::ssoIsEnabled() && $_REQUEST['adminUsername'] != $_REQUEST['oldAdminUsername']) {
			$rename_sso_delegations = true;
		}

		if ($rename_sso_delegations) {
			SSOBillingFactory::repairAdminAccount($_REQUEST['adminID']);
		}
		parent::redirect();
	}

	function execute() {
		global $CONF;

		if (SSOSettings::ssoIsEnabled() && $_REQUEST['adminUsername'] != $_REQUEST['oldAdminUsername']) {
			$rename_sso_delegations = true;
		}

		if ($rename_sso_delegations) {
			// Remove old delegation rule before renaming the admin user name
			SSOBillingFactory::removeDelegationsForAdmin(array($_REQUEST['adminID']));
		}

		parent::execute();
	}
}
?>
