<?php

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

/**
 * This class is a child class of MB_Action. It takes $_REQUEST["clientContactID"], looks
 * up client contact and asks you for remove confirmation.
 *
 * @author  modernbill
 */
class RemoveClientContact extends MB_Action {

	public function __construct() {
		parent::MB_Action();
		$this->params = array(
			"clientID",
			"clientContactID",
		);
	}

	public function execute() {
		global $CONF;
		parent::execute();

		$clientID = getParam('clientID');
		$clientContactID = getParam('clientContactID');
		$removeFault = getParam('removeFault');

		if(!$clientID) {
			$this->addError(TRANS_ACTIONERROR, "No client ID given.");
		} else if(! $clientContactID) {
			$this->addError(TRANS_ACTIONERROR, "No client contact ID given.");
		} else if ('1' == $removeFault) {
			$this->addError(TRANS_ACTIONERROR, "Contact can not be removed due to faults.");
		} else {

			$query = $this->getMBAPIQuery("GetClients", "", array("getContactData" => 4));
			$CONF["debug"]->add("Action Command", htmlentities($query), __FILE__, __LINE__);
			$data = dispatchMBAPI($query, 1);
			$CONF["debug"]->add("Action Result", $data, __FILE__, __LINE__);

			$results =& $data["mbapi"][0]["results"][0];
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				// Assign smarty variables
				$client = collapseArrayElements($results["clients"][0]["client"][0]);
				$contact = collapseArrayElements($results["clients"][0]["client"][0]["contacts"][0]["contact"][0]);
				$this->smartyVars["client"] = $client;
				$this->smartyVars["contact"] = $contact;

				if ($this->smartyVars["contact"]["contactPrimary"] == 1) {
					redirect("clients.php", "EditClientContact", array(
									"clientID" => $clientID,
									"clientContactID" => $clientContactID,
									"fd" => 1));
				} else {
					// Set the templete for output
					$this->addTemplate("clients/RemoveClientContact", $this->smartyVars);
				}
			} else {
				$this->addError(TRANS_ACTIONERROR, "Problem obtaining contact information");
			}

		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // RemoveClientContact
