<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-mbapi/include/mail/emailTemplates/invoiceEmail.php");
require_once mb_path("/lib-mbapi/include/mail/mail.php");
require_once mb_path("/lib-billing/include/config/internal/emailactions.php");

/**
 * This class is a child class of MB_Action. Using $_REQUEST["invoiceID"] it will
 * 
 *
 * @author  getActionFiles.php (Automatically Generated)
 */
class ShowResendInvoiceResponse extends MB_Action {
	/**
	 * The constructor for a ShowResendInvoiceResponse object. This merely sets up our string represenation, calls
	 * the parent constructor, and sets up $this->params.
	 */
	function ShowResendInvoiceResponse() {
		parent::MB_Action();
		$this->stringRep = "ShowResendInvoiceResponse";
		$this->params = array("invoiceID", "previewInvoice");
	}

	/**
	 * Execute this action object, and display any output generated to the screen.
	 *
	 * @return  1 if no errors occurred during execution, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();
		set_time_limit(0);

		$invoiceID = (int) $this->paramArgs["invoiceID"];
		$previewInvoice = (bool)((int) $this->paramArgs["previewInvoice"]);
		
		if(!$invoiceID) {
			$this->addError(TRANS_ACTIONERROR, "No Invoice ID given.");
		} else {
			// lets try to send this
			switch ( $this->sendInvoice( $invoiceID, $previewInvoice ) ) {
				case true: // sucess
					if (notNull( $this->getReferralActionFile() )) {
						redirect($this->getReferralActionFile(), $this->getReferralActionID(), array("invoiceID" => $invoiceID));
					} else {
						redirect("invoices.php", "ShowInvoiceDetails", array("invoiceID" => $invoiceID));
					}
					break;

				case -1: // errrror
					$this->addError( TRANS_ACTIONERROR, "Invoice ID not provided.");
					break;

				case false: // failed to send
					$this->addError( TRANS_ACTIONERROR, "Invoice Email Failed to send.");
					break;
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}

	/**
	 *	@short generate a new invoice email
	 *	@param int the invoiceID to generate
	 *	@param bool if to make this a preview invoice and return the results of the mail body
	 *	@return mixed
	 *		-1 means the invoiceID was not proper
	 *		true success
	 *		false failure
	 */
	function sendInvoice( $invoiceID, $previewInvoice = false ) {
		global $CONF;
		if (!notZero( $invoiceID )) {
			return -1;
		}
		
		$email = new InvoiceEmail($invoiceID);
		return $email->execute($previewInvoice);
	}
}