<?php
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action displays the form to enter an activation key for KA
 */
class ActivateSystemLicenseResponse extends MB_Action {

	function InstallSystemLicense() {
		parent::MB_Action();
		$this->stringRep = "ActivateSystemLicenseResponse";
	}

	function execute() {
		global $CONF;

		if (!$_REQUEST["activationCode"]){
			$this->smartyVars['invalidCode'] = 1;
			$this->addTemplate("modules/ActivateSystemLicense");
		} else {
			$response = KA_PKP_Request::getKey(
				KAPRODUCTU,
				KAPRODUCTP,
				array(),
				createPPBInfoStruct(),
				array(
					'targetProductInfo' => (object)array(
						'productName' => 'plesk-billing',
						'productVersion' => AppParentVersion,
					),
					'activationCode' => $_REQUEST['activationCode'],
					'guid' => $_SERVER['SERVER_NAME'],
				)
			);
			
			$key = $response->getKey();
			if ($key->licenseParsed){
				if ($response->cleanKeysHistory){
					$keys = array_merge(arrayFor(":configParams", array(
						"configGroupID" => internalConfigGroupID,
						"configParamName" => array("license"),
						"sortDir" => "DESC",
						"sortColumn" => "configParamID",
					)), arrayFor(":configParams", array(
						"configGroupID" => internalConfigGroupID,
						"configParamName" => array("license_archived"),
						"sortDir" => "DESC",
						"sortColumn" => "configParamID",
					)));
					dbg("was told to clean keys history, removing all old keys...");
					foreach ((array)$keys as $k){
						deleteForKey(":configParams", $k["configParamID"]);
					}
				}
				$key->store();
				$this->smartyVars['success'] = true;
			} else {
				if ($response->cleanKeysHistory){
					$keys = array_merge(arrayFor(":configParams", array(
						"configGroupID" => internalConfigGroupID,
						"configParamName" => array("license"),
						"sortDir" => "DESC",
						"sortColumn" => "configParamID",
					)), arrayFor(":configParams", array(
						"configGroupID" => internalConfigGroupID,
						"configParamName" => array("license_archived"),
						"sortDir" => "DESC",
						"sortColumn" => "configParamID",
					)));
					dbg("was told to clean keys history, removing all old keys...");
					foreach ((array)$keys as $k){
						if ($k["configParamID"]!=CURRENT_KEY_CONFIG_PARAM_ID){
							dbg("removing key: ".$k["configParamID"]);
							deleteForKey(":configParams", $k["configParamID"]);
						}
					}
				}
				
				$this->smartyVars['success'] = false;
				switch ($response->resultCode){
					case 1:
						$this->smartyVars['errorText'] = $response->resultDesc;
						break;
					case 2:
						$this->smartyVars['errorText'] = "There has been an internal error.  Please try again later.  If you continue to have problems please contact support and give them error code <strong>".$response->detailResultCode."</strong>.";
						break;
					default:
						$this->smartyVars['errorText'] = "There has been an internal error.  Please contact support.";
						break;
				}
			}

			$this->addTemplate("modules/ActivateSystemLicenseResponse");
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // ActivateSystemLicense
