<?php
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action displays the form to enter an activation key for KA
 */
class UploadKeyResponse extends MB_Action {

	function UploadKeyResponse() {
		parent::MB_Action();
		$this->stringRep = "UploadKeyResponse";
	}

	function execute() {
		global $CONF;
		
		$currentLicense = new OPEN_FUSION_LICENSE(CURRENT_LICENSE_KEY);
		
		if ($_REQUEST["textLicense"] && $_REQUEST["uploadFrom"]=="text"){
			$licenseXML = stripslashes(unsecureInput($_REQUEST["textLicense"]));
		} elseif ($_FILES["licenseFile"]["tmp_name"]){
			$licenseXML = file_get_contents($_FILES["licenseFile"]["tmp_name"]);
			if (strpos($licenseXML, '<dsig:SignedInfo')===false){
				if (function_exists('zip_open')){
					$zip = zip_open($_FILES["licenseFile"]["tmp_name"]);
					$entry = zip_read($zip);
					$licenseXML = "";
					while ($b = zip_entry_read($entry)){
						$licenseXML .= $b;
					}
				} else {
					$licenseXML = false;
					$this->smartyVars["errorText"] = "The license you uploaded seems to be zipped and your server does not support unzipping.  Please unzip and upload the xml License Key file.";
					$this->smartyVars["success"] = false;
				}
			}
		}
		
		if ($licenseXML){
			$x = new OPEN_FUSION_LICENSE($licenseXML);
			
			$this->smartyVars['success'] = false;
			$url = parse_url("http://".$_SERVER["HTTP_HOST"]);
			if ($x->licenseParsed && $x->digestValue==$currentLicense->digestValue){
				$this->smartyVars['errorText'] = "The license you just uploaded is already the currently installed license.";
			} elseif (strtolower($x->licenseDomain)!=strtolower($url['host']) && $x->licenseDomain){
				$this->smartyVars['errorText'] = 'Sorry, the license key you are tring to load is only allowed to work on the domain \''.$x->licenseDomain.'\'.  You need a license issued for domain \''.$url['host'].'\'.';
			} elseif ($x->licenseParsed){
				$x->store();
				$this->smartyVars['success'] = true;
			} else {
				$this->smartyVars['success'] = false;
				if (strpos($licenseXML, "-----BEGIN ")!==false){
					$this->smartyVars['errorText'] = "The license information you have uploaded is valid for Parallels Plesk Billing 5.x only.  In order to use Plesk Billing 6.x you must obtain a new license key or activation code from support.";
				} else {
					$this->smartyVars['errorText'] = "The license information you have uploaded is invalid.  Please contact support to obtain a valid license or an activation code.";
				}
			}
		}
		
		$this->addTemplate("modules/UploadKeyResponse");

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // RetrieveKeys
