<?php

/**
 * modernbill-admin specific implementation of operations required by ProcessSSOAPIRequest 
 */
class AdminSSOAPI {

    /**
     * Chceck admin's credentials.
     *
     * @param string $name User name
     * @param string $password User's password. If this parameter is empty then only check that user name is correct. 
     * @return String User name identifier (login name).
     */    
    function checkCredentials($name, $password) {
        $h = new QueryMaster('select', getDBCol('adminID'));
        $h->addTables('admins');
        $h->addAndClause(getDBCol('adminUsername'), '=', $name);
        if ($password) {
            $h->addAndClause(getDBCol('adminPassword'), '=', getPasswordHash($password));
        } else {
            // Only check that identifier is correct
        }
        $data = $h->getRow();
        if (count($data)) {
            return $data[getDBCol('adminID')];
        } else {
            return null;
        }    
    }
    
    /**
     * Close session by admin's user name.
     *
     * @param string $userName
     */    
    function closeSessionByName($userName) {
        $qh = new QueryMaster('select');
        $qh->addTables('admins');
        $qh->addColumns('admin_id');
        $qh->addAndClause('admin_username', '=', $userName);        
        foreach ($qh->getResults() as $row) {
            $adminId = $row['admin_id'];
            
            $h = new QueryMaster('update');
            $h->addTables('sessions');
            $h->addParam('session_active', 0, 'i');
            $h->addAndClause('user_id', '=', $adminId, 'i');
            $h->addAndClause('user_type', '=', 2, 'i');
            $h->execute();
        }
    }
    
} // AdminSSOAPI

?>