<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

class LogInToStore extends MB_Action {
	
	function LogInToStore() {
		parent::MB_Action();
		$this->stringRep = "LogInToStore";
	}

	function execute() {
		global $CONF;
		parent::execute();

        	// get client data
		$clientInfo = oneOf(":contacts", array(
			"clientContactID" => $CONF['user']['clientContactID'],
		));
		if (!$clientInfo){
			redirect("dashboard.php", "ShowDashboard");
			exit;
		} else {
			$orderForm = oneOf(":orderForms");
			$rsid = getPasswordHash(uniqid().serialize($_SERVER).time());
			$setShoppingSessionXML = "
				<mbapi>
					<command>SetShoppingSession</command>
					<subCommand>insert</subCommand>
					<params>
						<shoppingSessionID>".$rsid."</shoppingSessionID>
						<shoppingSessionTimestamp>".time()."</shoppingSessionTimestamp>
						<shoppingSessionIP>".ip2long($_SERVER["REMOTE_ADDR"])."</shoppingSessionIP>
						<clientID>".$clientInfo['clientID']."</clientID>
						<clientContactID>".$clientInfo['clientContactID']."</clientContactID>
						<orderFormID>".$orderForm['orderFormID']."</orderFormID>
					</params>
				</mbapi>";
			$setSession = dispatchMBAPI($setShoppingSessionXML, 1);
			setcookie("mb_shopping_session", $rsid, (24*60*60*30)+time(), "/");
			$companyInfo = oneByID(":companies", 1);
			if ($companyInfo['companyOrderURL']){
				header("Location: ".$companyInfo['companyOrderURL']);
			} else {
				header("Location: ../order/");
			}
			exit;
		}

	}
}
