<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This class is a child class of MB_Action. It displays a form to edit an
 * existing client contact.
 *
 * @author  Michael Fountain
 */
class EditClientContact extends MB_Action {

	function limitParams() {
		global $CONF;
		$this->clientContactID = $CONF["user"]["clientContactID"];
		$this->contextContactID = (int) $_REQUEST["clientContactID"];
		$this->contact = oneByID("contacts", $this->clientContactID);
		$this->clientID = $this->contact["clientID"];
		$this->primary = $this->contact["contactPrimary"];
		if ($this->primary) {
			$this->limitParams = array(
				"clientID" => $this->clientID,
				"clientContactID" => $this->contextContactID,
			);
			$_REQUEST["clientID"] = $this->clientID;
			$_REQUEST["clientContactiD"] = $this->contextContactID;
		} else {
			$this->limitParams = array(
				"clientContactID" => $this->clientContactID,
			);
			$_REQUEST["clientContactID"] = $this->clientContactID;
		}
		$this->contextContact = oneOf(
			"contacts", 
			array(
				"clientID" => $this->clientID, 
				"clientContactID" => $this->contextContactID,
			)
		);
		return (bool) $this->contextContact;
	
	}

	/**
	 * The constructor for a EditClientContact action object. This merely calls the parent constructor,
	 * and sets the string representation of this object. This method also sets up $this->params and
	 * $this->sortColumns for use in $this->getMBAPIQuery().
	 */
	function EditClientContact() {
		parent::MB_Action();
		$this->stringRep = "EditClientContact";
		$this->params = array();
	}

	/**
	 * The main method of this class that executes the EditClientContact action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();
		$this->limitParams();

		do {
			if(!$this->limitParams()) {
				$this->addError(TRANS_ACTIONERROR, "Invalid parameter.");
				break;
			}

			if ($this->contact['contactPrimary']) {
				$query = $this->getMBAPIQuery("GetClients", "", $this->limitParams + array("getContactData" => "4", "mergePrimaryContact" => 0));
				$data = dispatchMBAPI($query, 1);
			} else {
				$query = $this->getMBAPIQuery("GetClients", "", $this->limitParams + array("getContactData" => "4", "mergePrimaryContact" => 0));
				$data = dispatchMBAPI($query, 1);
			}

			$results =& $data["mbapi"][0]["results"][0];
			
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				loadConfigs("userSettings");

				$this->smartyVars["userSettings"] =& $CONF["userSettings"]['display'];
				
				$this->mergeCountryData();
				$this->mergeLanguageData();
				$client = correctArray($results["clients"][0]["client"][0]);
				$contact = correctArray($results["clients"][0]["client"][0]["contacts"][0]["contact"][0]);
				$this->smartyVars["client"] = $client;
				$this->smartyVars["contact"] = $contact;
				$this->smartyVars["clientContactIDEditor"] = $CONF["user"]["clientContactID"];
				$this->smartyVars["clientContactID"] = getParam("clientContactID");
	
				$selectedEmailActionIDs = array();
				if ($contact["emailActionIDs"])
				{
					if ($contact["emailActionIDs"][0]
						&& is_array($contact["emailActionIDs"][0])
						&& isset($contact["emailActionIDs"][0]["emailActionID"]))
					{
						$selectedEmailActionIDs = array();
						foreach ($contact["emailActionIDs"] as $emailAction) {
							$selectedEmailActionIDs[] = $emailAction["emailActionID"];
						}
					} else {
						$selectedEmailActionIDs = $contact["emailActionIDs"];
					}
				}
				$this->smartyVars["selectedEmailActionIDs"] = $selectedEmailActionIDs;

				$ead = new DataSource("contactEmailActionRels", array("clientContactID" => $this->smartyVars["clientContactID"]));
				$t =& $ead->getTable();
				$contact["emailActionIDs"] = $t->getColumnDistinct("emailActionID");
				//show($contact, 1);
			
				require_once mb_path("/lib-billing/include/config/internal/emailactions.php");
				$this->smartyVars["emailActions"] = $CONF["types"]["emailAction"];

				$formDefaults = $contact;
				$this->mergeFormState($formDefaults);

				if (count(arrayFor('clientContacts', array('clientID' => $this->smartyVars['client']['clientID']))) == 1) {
					$this->smartyVars['onlyPrimaryExists'] = 1;
				} else {
					$this->smartyVars['onlyPrimaryExists'] = 0;
				}
				$this->smartyVars["currentLoggedInUser"] =& $CONF["user"];

				if (SSOSettings::spIsRegistered(NULL, SSOSettings::APP_CLIENT)) {
					$this->smartyVars["repairSSO"] = true;
					if ($_REQUEST['sso_repaired']) {
						$this->smartyVars["sso_repaired"] = true;
					}
				}
				$this->addTemplate("profile/EditClientContact", $this->smartyVars);
			}
		} while (0);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // MB_Action
?>
