{t c="TRANS_SSO_ADMIN_SETTINGS" d="Admin CP Settings"}
{t c="TRANS_SSO_CLIENT_SETTINGS" d="Client CP Settings"}
{t c="TRANS_SSO_SYSTEM_SETTINGS_EDIT" d="Edit SSO Settings"}
{t c="TRANS_SSO_SYSTEM_SETTINGS_EDIT_WARNING" d="Here you can register your Parallels Plesk Billing in Single Sign On system (SSO). But remember that when you turn off 'Register in SSO' all Global Accounts will be dropped from SSO as well."}
{t c="TRANS_ALL_SSO_REPAIRING_STARTED" d="News task for repairing of SSO connections for all clients and admins has been successfully added."}
{t c="TRANS_DO_SSO_REPAIRING" d="Repair SSO Accounts"}
{t c="TRANS_SSO__SP_REGISTERED" d="Register in SSO"}


{include file="$tplDirectory/header.tpl"
	parentName=$smarty.const.TRANS_SYSTEM_SETTINGS
	childName=$smarty.const.TRANS_SSO_SYSTEM_SETTINGS
	grandchildName=$smarty.const.TRANS_SSO_SYSTEM_SETTINGS_EDIT
	sideNavMajor=$sideNavMajor
	sideNavMinor=$sideNavMinor}

{if $admin_sso_err}
	<div class="msgError"><span class="title">{$smarty.const.TRANS_SSO_ADMIN_SETTINGS} {$smarty.const.TRANS_ERROR}:</span>
		{$admin_sso_err}
	</div>
{/if}

{if $client_sso_err}
	<div class="msgError"><span class="title">{$smarty.const.TRANS_SSO_CLIENT_SETTINGS} {$smarty.const.TRANS_ERROR}:</span>
		{$client_sso_err}
	</div>
{/if}

{if $sso_repairing_started}
	<div class="msgWarning"><span class="title">{$smarty.const.TRANS_WARNING}:</span>
		{$smarty.const.TRANS_ALL_SSO_REPAIRING_STARTED}
	</div>
{/if}

<div class="msgWarning"><span class="title">{$smarty.const.TRANS_WARNING}:</span>
	{$smarty.const.TRANS_SSO_SYSTEM_SETTINGS_EDIT_WARNING}
</div>

<form id="sso_settings" method="post" action="configs.php">
<input type="hidden" name="action" value="{getActionID action="EditSSOConfigResponse"}">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="do_repair_all" value="0" />
<fieldset>
	<legend>{$smarty.const.TRANS_SSO_ADMIN_SETTINGS}</legend>
	<table width="100%" class="list">
	<tbody>
	<tr>
		<td class="title">{$smarty.const.TRANS_SSO__SP_REGISTERED}:</td>
		<td>
			<input type="checkbox" name="sso_settings[admin][sp_registered]" value="1"{if $admin.sp_registered} checked{/if}>
			&nbsp;
		{if $admin.sp_registered}
			{$admin.props.api_url}
			<input type="hidden" name="sso_settings[admin][props][api_url]" value="{$admin.props.api_url}">
		{else}
			<input type="text" style="width: 300px;" name="sso_settings[admin][props][api_url]" value="{$admin.props.api_url}">
		{/if}
		</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_SSO__ENABLED}:</td>
		<td>
		{if $admin.sp_registered}
			<input type="checkbox" name="sso_settings[admin][sso_enabled]" value="1"{if $admin.sso_enabled} checked{/if}>
		{else}
			<input type="checkbox" name="sso_settings[admin][sso_enabled]" value="1"{if $admin.sso_enabled} checked{/if} disabled>
			<input type="hidden" {if $admin.sso_enabled} checked{/if}>
		{/if}
		</td>
	</tr>
	</tbody>
	</table>
</fieldset>

<fieldset>
	<legend>{$smarty.const.TRANS_SSO_CLIENT_SETTINGS}</legend>
	<table width="100%" class="list">
	<tbody>
	<tr>
		<td class="title">{$smarty.const.TRANS_SSO__SP_REGISTERED}:</td>
		<td>
			<input type="checkbox" name="sso_settings[client][sp_registered]" value="1"{if $client.sp_registered} checked{/if}>
			&nbsp;
		{if $client.sp_registered}
			{$client.props.api_url}
			<input type="hidden" name="sso_settings[client][props][api_url]" value="{$client.props.api_url}">
		{else}
			<input type="text" style="width: 300px;" name="sso_settings[client][props][api_url]" value="{$client.props.api_url}">
		{/if}
		</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_SSO__ENABLED}:</td>
		<td>
		{if $client.sp_registered}
			<input type="checkbox" name="sso_settings[client][sso_enabled]" value="1"{if $client.sso_enabled} checked{/if}>
		{else}
			<input type="checkbox" name="sso_settings[client][sso_enabled]" value="1"{if $client.sso_enabled} checked{/if} disabled>
			<input type="hidden" {if $client.sso_enabled} checked{/if}>
		{/if}
		</td>
	</tr>
	</tbody>
	</table>
</fieldset>

<br />
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr class="listButtons">
		<td><div>
			<input class="submit" type="submit" value="{$smarty.const.TRANS_SUBMIT_CHANGES}" />
		{if ($client.sp_registered && $client.sso_enabled) || ($admin.sp_registered && $admin.sso_enabled)}
			<input class="submit" type="submit" value="{$smarty.const.TRANS_DO_SSO_REPAIRING}" onclick="var form = document.getElementById('sso_settings'); form['do_repair_all'].value = '1'; return true;"/>
		{/if}
		</div></td>
	</tr>
	</table>
<br />

</form>

{include file="$tplDirectory/footer.tpl"}
