<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/order/include/order/order.php");
require_once mb_path("/lib-mbapi/include/mail/mail.php");
require_once mb_path("/lib-tk/include/crypt/crypt.php");
require_once mb_path("/lib-mbapi/include/mail/emailTemplates/passwordNotificationEmail.php");

/**
 * This action handles resetting and resending a password to a user in the shopping cart
 *
 * @author  Kris Bailey
 */
class ProcessCartForgotPasswordResponse extends MB_Action {
	/**
	 */
	function __construct() {
		parent::MB_Action();
		$this->stringRep = get_class();
	}

	/**
	 */
	function execute() {
		global $CONF;
		parent::execute();

		if ($_REQUEST['contactEmail']) {
			if (($thisContact = oneOf("contacts", array("contactEmail" => $_REQUEST["contactEmail"], "contactActive" => 1))) !== false) {
				dbg("This contact is");
				dbg($thisContact);
				
				// generate the new password
				$newPass = getRandomPassword();
				
				if (updateFor("contacts", array(
					"clientContactID" => (int)$thisContact["clientContactID"],
					"contactTempPassword" => $newPass ))) {
					
					$email = new PasswordNotificationEmail( $newPass, (int)$thisContact['clientContactID'] );
					
					dbg("Email going out");
					dbg($email);
					
					if (!$email->execute()) {
						$forgotSuccess = "forgotSuccess=false&";
					} else {
						$forgotSuccess = "forgotSuccess=true&";
					}
				} else {
					$forgotSuccess = "forgotSuccess=false&";
				}
			} else {
				$forgotSuccess = "forgotSuccess=false&";
			}
		} else {
			$forgotSuccess = "forgotSuccess=false&";
		}
		
		if ((int)$_REQUEST["gotoCheckout"]){
			return redirect("cart.php?".$forgotSuccess."sid=".$_REQUEST["sid"]."&action=".getActionID("ShowCartCheckoutForm"));
		} else {
			return redirect("cart.php?".$forgotSuccess."sid=".$_REQUEST["sid"]);
		}
	}
}
