<?php
/**
 * Make html page that sends request to other service using SAML POST binding.
 *
 * SAML POST binding suggests parameters "RelayState" and "SAMLRequest"
 *
 * @param string $action_url
 * @param array parameters Associative array with parameters to be sent in form array(param_name=>param_value)
 * @param boolean auto_post true - submit form automatically on load;
 *         false - always request user to submit form manually (useful for  debugging)
 * @return string Html page body
 */
function make_redirected_post_html($action_url, $parameters, $auto_post = true) {
    $parameter_inputs = '';
    foreach ($parameters as $name => $value) {
        $parameter_inputs .= "<input type=\"hidden\" name=\"$name\"  value=\"$value\" />\n";
    }

    if ($auto_post) {
        $onload = 'onload="document.forms[0].submit()"';
        $nosctipt = 'noscript';
    } else {
        $onload = '';
        $nosctipt = 'div';
    }

    return <<< EOFS
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<body $onload>
  <noscript>
    <p>
    <strong>Note:</strong> Since your browser does not support JavaScript,
    you must press the Continue button once to proceed.
    </p>
  </noscript>
  <form id="pb_autopost_form" action="$action_url" method="post">
    <div>
      $parameter_inputs
    </div>
    <$nosctipt>
      <div>
        <input type="submit" value="Continue"/>
      </div>
    </$nosctipt>
  </form>
</body></html>
EOFS
;
}

?>