<?php
/**
 * Common code for reading and writing registration proeprties
 */


function readProps($file_name) {
    if (file_exists($file_name)) {
        $res = file_get_contents($file_name);
        return $res === false ? null : lib_Props::parse($res);
    } else {
        return null;
    }
}

function getIdpRegFile($reg_name) {
    return SSO_REG_DIR . '/' . $reg_name . '.idp-reg';
}


function getSpRegRequestFile($reg_name) {
    return SSO_REG_DIR . '/' . $reg_name . '.reg-request';
}


function getRegRequestProps($reg_name) {
    return readProps(getSpRegRequestFile($reg_name));
}


function getRegProps($reg_name) {
    return readProps(getIdpRegFile($reg_name));
}


function putRegProps($reg_name, $props) {
    file_put_contents(getIdpRegFile($reg_name), lib_Props::toString($props));
}


?>